summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-prof
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-25 15:49:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-25 15:49:07 +0000
commit86f7323d28a04492eb6abd933f3566227ec16ab5 (patch)
tree6ad6cb18800ca69498e4a3bc5695ab4ef6623bde /dev-ruby/ruby-prof
parent7a12d9167cf63635da26027e1ab96c25aa889bef (diff)
downloadbaldeagleos-repo-86f7323d28a04492eb6abd933f3566227ec16ab5.tar.gz
baldeagleos-repo-86f7323d28a04492eb6abd933f3566227ec16ab5.tar.xz
baldeagleos-repo-86f7323d28a04492eb6abd933f3566227ec16ab5.zip
Adding metadata
Diffstat (limited to 'dev-ruby/ruby-prof')
-rw-r--r--dev-ruby/ruby-prof/Manifest1
-rw-r--r--dev-ruby/ruby-prof/ruby-prof-1.4.4.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-ruby/ruby-prof/Manifest b/dev-ruby/ruby-prof/Manifest
index 2f622cfe7461..0d84860728b6 100644
--- a/dev-ruby/ruby-prof/Manifest
+++ b/dev-ruby/ruby-prof/Manifest
@@ -1 +1,2 @@
DIST ruby-prof-1.4.3.tgz 232032 BLAKE2B 68df149718869afac89b2240263cd3dd48c28b592f32cd7bc8a918b67de7a10abc3a1af04cb00eeaec9e6f7292e5258d22ba8bec0243361289add943535ffe39 SHA512 fd19d97b88b52c07331bf885c69215267eccb3a0519eb3bb6cd6e5907af55ebbace32f3bdef5b1f340bc3c4779666d7f4100878e647fdfde4da3a4df2a946ebe
+DIST ruby-prof-1.4.4.tgz 232833 BLAKE2B 932f5edd47a9de57f4c394044d1d563935f456b3cf77ac85c912359e34c8c1becafddfda329e05a672d4009b81fba386f76ba4677cee2dde44f40bef5abcaa94 SHA512 5ae25b32b26cfe7faf60c0ba84d3853c74f272783a8dde858ce3de0186683c7cf35dbcb5e89b1e5aa742ee93ea601e55f7ad99491bf9c1a1accef454b08b9921
diff --git a/dev-ruby/ruby-prof/ruby-prof-1.4.4.ebuild b/dev-ruby/ruby-prof/ruby-prof-1.4.4.ebuild
new file mode 100644
index 000000000000..a23ae9460ff3
--- /dev/null
+++ b/dev-ruby/ruby-prof/ruby-prof-1.4.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGES"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="ruby-prof.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/ruby_prof/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/ruby_prof"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A module for profiling Ruby code"
+HOMEPAGE="https://github.com/ruby-prof/ruby-prof"
+SRC_URI="https://github.com/ruby-prof/${PN}/archive/${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Avoid bundler
+ sed -i -e '/bundler/I s:^:#:' -e '/:build/ s:^:#:' Rakefile || die
+
+ sed -i -e '2igem "test-unit"' -e '/bundler/ s:^:#:' test/test_helper.rb || die
+
+ # We install the shared object in lib, not ext.
+ sed -i -e 's#../ext/ruby_prof#../lib/ruby_prof#' lib/ruby-prof.rb || die
+
+ # Avoid unneeded dependency on rake-compiler
+ sed -i -e '/extensiontask/ s:^:#:' \
+ -e '/ExtensionTask/,/end/ s:^:#:' Rakefile || die
+}